
Redmine - Defect #31132

Remove unused column trackers.is_in_chlog

2019-04-02 11:23 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version:  

Description

The column "is_in_chlog" in "trackers" table can be removed safely. It was used to control former Changelog view which has been

dropped in r3162 (Redmine 0.9.0). After that, the column is no longer used.

$ grep -r is_in_chlog *

db/migrate/20180923091603_change_sqlite_booleans_default.rb:      "is_in_chlog" => false,

db/migrate/001_setup.rb:      t.column "is_in_chlog", :boolean, :default => false, :null => false

db/migrate/20180923082945_change_sqlite_booleans_to_0_and_1.rb:    Tracker => ['is_in_chlog', 'is_

in_roadmap'],

lib/redmine/default_data/loader.rb:            Tracker.create!(:name => l(:default_tracker_bug),  

   :default_status_id => new.id, :is_in_chlog => true,  :is_in_roadmap => false, :position => 1)

lib/redmine/default_data/loader.rb:            Tracker.create!(:name => l(:default_tracker_feature

), :default_status_id => new.id, :is_in_chlog => true,  :is_in_roadmap => true,  :position => 2)

lib/redmine/default_data/loader.rb:            Tracker.create!(:name => l(:default_tracker_support

), :default_status_id => new.id, :is_in_chlog => false, :is_in_roadmap => false, :position => 3)

test/fixtures/trackers.yml:  is_in_chlog: true

test/fixtures/trackers.yml:  is_in_chlog: true

test/fixtures/trackers.yml:  is_in_chlog: false

Associated revisions

Revision 21106 - 2021-07-28 18:26 - Marius BĂLTEANU

Removes unused column trackers.is_in_chlog (#31132).

History

#1 - 2019-09-22 04:58 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.0

#2 - 2019-09-28 00:33 - Go MAEDA

- Target version changed from 4.1.0 to 4.2.0

#3 - 2021-03-23 21:46 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

#4 - 2021-07-04 17:30 - Marius BĂLTEANU

- File 0001-Remove-unused-column-trackers.is_in_chlog-31132.patch added

- Assignee deleted (Jean-Philippe Lang)

Added a patch.

#5 - 2021-07-28 18:30 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/wiki/RedmineIssueChangelog
https://www.redmine.org/projects/redmine/repository/svn/revisions/3162


Committed with a slight change: the down method adds back the column in order to allow a rollback.

Files

0001-Remove-unused-column-trackers.is_in_chlog-31132.patch 3.05 KB 2021-07-04 Marius BĂLTEANU
